---
wsId: 
title: Atechcoins
altTitle: 
authors:
- danny
users: 5000
appId: com.app.atechcoins
appCountry: 
released: 2020-11-10
updated: 2021-04-02
version: 1.1.0
stars: 3.5
ratings: 85
reviews: 6
size: 18M
website: https://www.atechcoins.com
repository: 
issue: 
icon: com.app.atechcoins.png
bugbounty: 
meta: stale
verdict: nowallet
date: 2022-03-29
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

**⚠️ Warning: Several users have reported having a bad experience such as losing funds on this app**

## App Description

Atechcoins is a Nigerian based giftcard and Bitcoin exchange. 

> Convert Bitcoin value to Naira, Dollars, and vice versa 

### Google Play Critical Reviews

> [Theophilus Ikediashi](https://play.google.com/store/apps/details?id=com.app.atechcoins&reviewId=gp%3AAOqpTOFWYmDSr-lkIp0DyE73j--AcyzVelGYaKPCBRon-xr-den2PcKvSej5i4nXa4Z0yXCRw4Y0tGBv8JDHLAk)<br>
  ★☆☆☆☆ October 10, 2021 <br>
       Very stupid app. How can you tell me rate changed after I have initiated a trade and you have redeemed my app. Better stop that rubbish. I'm never trading here till this stops This app is too slow. If you can't build a proper app then trade on whatsapp or Instagram. It's too slow and doesn't even give notification. Please develop a proper app
       
> [Ogboru Francis](https://play.google.com/store/apps/details?id=com.app.atechcoins&reviewId=gp%3AAOqpTOH9VStP7ReuxRsY-HlTFb2wdcL4R-qr0MPVZ_uZFddVL9ITMRipyeIpOyvS-HWH17U2Axrt_129X8SWoCg)<br>
  ★☆☆☆☆ October 6, 2021 <br>
       This is one of the most useless app I have ever seen No matter what you do you can't login or create a password I wouldn't have give you 1star
       
> [Fadaella Richie](https://play.google.com/store/apps/details?id=com.app.atechcoins&reviewId=gp%3AAOqpTOG7Te5NZBel0TXeJYTtOxUkSMC3EUgWoRCjZoO4qu82gLKys_G0kc6kKHtmKuh2wjpZisdbRJgHMnb3VXo)<br>
  ★☆☆☆☆ April 2, 2021 <br>
       This is the worst trading app I've ever used.... always stealing my money not sending my money to me...I've lost thousands of naira while trading with this god-damned app

## The Site

The Terms of Service, Privacy Policy and About Us sections, all point to the homepage.

## The App

Requirements: username, email and password

On the app, the options Security, Transaction History and Help can't be accessed. They merely show a notification that the feature is coming soon. 

Apart from that, there is a Rate calculator that merely converts the value of a gift card to Naira. There are no buttons and other functionalities that point to the app as being able to hold, send or receive bitcoin. 

## Verdict

We've reviewed many similar apps of Nigerian origin that facilitates the trading of various gift cards and this is one of the most incomplete ones. Unless we missed something, this app certainly **does not have a Bitcoin wallet** at its present state.

